Subject: Re: bug#39310: MariaDB reproducibility issue
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Wed, 01 Nov 2023 09:53:42 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> writes:

> Hi!
>
> Marius Bakke <[email-masked]> skribis:
>
>> Josh <[email-masked]> writes:
>>
>>> Hi Guix,
>>>
>>> I ran into this issue when building mariadb 10.1.38. I've attached the
>>> last 300 lines of the log. Thanks
>>
>> I can reproduce this failure by checking out Guix 1.0.1 in a "time
>> machine" and trying to build MariaDB.  The problem is that the failing test
>> expects the current time to be earlier than 2020-01-21 15:32:22.
>
> I was trying to run:
>
>   guix time-machine --commit=0791437 -- build mariadb
>
> where commit 0791437f972caa7e48de91ad5cb150a614f617c2 is from Jan. 2019,
> and stumbled upon the test failure that Josh reported.
>
> Following your advice on IRC, Marius, I built that derivation,
> /gnu/store/p2d7i5258vi0rd9ydbpr9c1vb3sxcz6h-mariadb-10.1.37.drv, on a
> machine whose clocked I had switched back to 2018… and it worked!
>
> (I used one of the berlin build machines, so now there are substitutes
> for this particular derivation.)

This seems like this issue is addressed at least, and guix challenge
says mariadb is reproducible, so I'm going to mark this as done:

→ guix challenge --diff=simple mariadb

1 store items were analyzed:
  - 1 (100.0%) were identical
  - 0 (0.0%) differed
  - 0 (0.0%) were inconclusive